<?php
require_once('lib/nusoap.php');

$client = new nusoap_client('http://www.barcodesoft.com/bcdgen.asmx?WSDL', 'wsdl', '', '', '', '');

$err = $client->getError();
if ($err) {
    echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';
}
if (isset($_GET['text'])) {
    $text = $_GET['text'];
} else {
    $text = 'http://blog.trtkal.net';
}
if (empty($text)) {
    $text = 'nenene!';
}
// Call the SOAP method
$result = $client->call('QRCode', array('textToEncode' => $text, 'eLevel' => 'L07', 'ImageFormat' => 'PNG', 'Orientation' => 'Original'));
// Check for a fault
if ($client->fault) {
    echo '<h2>Fault</h2><pre>';
    print_r($result);
    echo '</pre>';
} else {
    // Check for errors
    $err = $client->getError();
    if ($err) {
        // Display the error
        echo '<h2>Error</h2><pre>' . $err . '</pre>';
    } else {

        $filename = './' . uniqid() . '.png';
        $fp = fopen($filename, 'w');
        fwrite($fp, base64_decode($result['QRCodeResult']));
        fclose($fp);
    }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
        <title>QR code generator</title>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    </head>
    <body>
        <h1>QR code generator</h1>
        <form action="t_QRcode.php" method="get">
            <p>
                <label for="text">Text do QR:</label>
                <input name="text" type="text" value="" id="text" />
                <input type="submit" />
            </p>
        </form>
        <p><img alt=""  src="<?php echo $filename; ?>" /></p>
    </body>
</html>